function [plot_pdm,plot_aam,lHA,lH,net_offset_xy,edges]=PDMWalk_show_and_plot(pdm,aam,oversize_by,showlines,pmt)
plot_pdm=pdm;
[DummyH,model]=PDMWalk_PlotModel(pdm);
aam.bWA = zeros(size(aam.b));
plot_aam=aam;
plot_aam.plot_pdm=plot_pdm;
[lHA,wimg,net_offset]=PDMWalk_ShowModel(plot_aam,model,oversize_by);
loops=get(pmt,'loops');
edges=loops{1};
lH=PDMWalk_PlotModel(pdm,DummyH,net_offset,showlines,edges);
net_offset_xy=net_offset;